## cjet 0.8.9

=== Makefile ===
# Makefile for CJet - LaserJet Emulation for CaPSL printers
# Copyright (C) 1996 Michael Huijsmans mgh@sbox.tu-graz.ac.at
#
# Makefile for UNIX systems
# 

# compiler, compiler and linker options 
CC	  = gcc
OPT	  = -O2 -Wall
LINKOPT   = -s

# you should not need to change anything below

SHELL     = /bin/sh

EXECNAME  = cjet

CFLAGS	  = $(OPT)
LDFLAGS   = $(LINKOPT)

OBJ = main.o parse.o function.o raster.o fonts.o misc.o symbol.o\
      page.o pjl.o macro.o io.o


cjet: $(OBJ)
	$(CC) $(LDFLAGS) -o $(EXECNAME) $(OBJ)

clean:
	rm -f *.o $(EXECNAME)


$(OBJ): pcl.h cjet.h capsl.h 
symbol.o: symbol.h

=== debian/changelog ===
cjet (0.8.9-7) unstable; urgency=medium

  * Update debian/control syntax with cme
  * Bump Standards-Version to 4.1.3 without changes needed
  * Update Vcs-* fields for the move to salsa.d.o
  * Initialize git-dpm

 -- Didier Raboud <odyx@debian.org>  Fri, 09 Feb 2018 17:30:57 +0100

cjet (0.8.9-6) unstable; urgency=medium

  * Add autopkgtest suite

 -- Didier Raboud <odyx@debian.org>  Fri, 01 Aug 2014 15:36:24 +0200

cjet (0.8.9-5) unstable; urgency=medium

  [ Bart Martens ]
  * Add debian/watch

  [ Didier Raboud ]
  * Move the repository from collab-maint to printing; update the VCS-*
    fields accordingly

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Mar 2014 16:26:23 +0100

cjet (0.8.9-4) unstable; urgency=low

  * Drop cjet transitional package which reached stable
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Fri, 29 Nov 2013 12:08:39 +0100

cjet (0.8.9-3) unstable; urgency=low

  [ Didier Raboud ]
  * Put under Debian Printing Team umbrella and add myself as Uploader.
  * Rename cjet to printer-driver-cjet, add transitional package.
    (Closes: #647531)
  * Promote printer-driver-cjet to optional priority.
  * Rewrite short description.
  * Add missing comma between Depends.
  * Change source format to 3.0 (quilt).
  * Convert debian/rules to tiny dh style, bump compat to 9 for auto-
    buildflags.
  * Patch the upstream Makefile to use exported flags. (Closes: #436629)
  * Rewrite debian/copyright using the copyright-format 1.0.
  * Bump Standards-Version to 3.9.3 without changes needed.
  * Add Vcs-* fields as this will be maintained on Alioth's collab-
    maint.

  [ Osamu Aoki ]
  * Rewrite long description to be more inclusive. (Closes: #272016)

 -- Didier Raboud <odyx@debian.org>  Wed, 21 Mar 2012 12:55:27 +0100

cjet (0.8.9-2) unstable; urgency=low

  * Rebuild package to update ElGamal signature.  (Closes: #494854)

 -- Chris Lawrence <lawrencc@debian.org>  Wed, 13 Aug 2008 14:00:36 -0500

cjet (0.8.9-1) unstable; urgency=low

  * Initial Release.  (Closes: #199631)

 -- Chris Lawrence <lawrencc@debian.org>  Wed,  2 Jul 2003 10:11:13 -0500

=== debian/control ===
Source: cjet
Maintainer: Debian Printing Team <debian-printing@lists.debian.org>
Uploaders: Didier Raboud <odyx@debian.org>,
           Chris Lawrence <lawrencc@debian.org>
Section: text
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9~)
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/printing-team/cjet
Vcs-Git: https://salsa.debian.org/printing-team/cjet.git

Package: printer-driver-cjet
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Suggests: foomatic-db-engine | apsfilter
Breaks: cjet (<< 0.8.9-3~)
Replaces: cjet (<< 0.8.9-3~)
Description: printer driver for Canon LBP laser printers
 CJET filters printer data from stdin to stdout, converting HP PCL
 (Printer Command Language) escape sequences and data structures,
 e.g. font headers, to their CaPSL equivalents.
 .
 CaPSL stands for Canon Printing System Language.  It is a set of
 control command developed for the Canon European Language Printer.
 CaPSL was used in Canon Export Models such as LBP-8markIII series and
 LBP-4series.  Canon's older Japanese models (LBP-A404 GII etc. LIPS-III
 as default command) usually have CaPSL emulation mode.

=== debian/tests/control ===
Tests: printer-driver-cjet
Restrictions: needs-root
Depends: printer-driver-cjet, foomatic-db-compressed-ppds, cups, cups-client (>= 1.7.3-5~)

=== debian/watch ===
version=3
opts=uversionmangle=s/^(0)(\d)(\d)$/$1.$2.$3/ \
ftp://metalab.unc.edu/pub/Linux/system/printing/ \
(?:|.*/)cjet(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
